com.google.gwt.resources.client

## Interface ExternalTextResource

All Superinterfaces:
  ResourcePrototype

    public interface ExternalTextResource
    extends ResourcePrototype

Identical to `TextResource`, except the contents of the resource are not inlined into the compiled output. This is suitable for resources that are not required as part of program initialization.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `getText(ResourceCallback<TextResource> callback)` Fetches a `TextResource` and calls `callback` with the result.

### Methods inherited from interface com.google.gwt.resources.client.ResourcePrototype

`getName`

### Method Detail

#### getText

    void getText(ResourceCallback<TextResource> callback)
          throws ResourceException

Fetches a `TextResource` and calls `callback` with the result. Caches after the first result, so `callback` is invoked immediately for subsequent invocations.

Throws:
  `ResourceException` - if the resource request cannot be initiated, e.g. due to an invalid url or an AJAX security error (same origin violation)